<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./../WEB-INF/Modelo.xhtml">

            <ui:define name="content">
                <p:fieldset legend="Cadastro Professor">

                    <p:panelGrid columns="3" id="painel">
                        <p:outputLabel value="Código" for="codigo" />
                        <p:inputText id="codigo"  value="#{professorBean.professor.id} " readonly="true" />
                        <p:message for="codigo" />

                        <p:outputLabel value="Nome:" for="nome" />
                        <p:inputText id="nome" value="#{professorBean.professor.nome}" required="true" />
                        <p:message for="nome" />

                        <p:outputLabel value="CPF:" for="cpf" />
                        <p:inputText id="cpf" value="#{professorBean.professor.cpf}" required="true" />
                        <p:message for="cpf" />

                        <p:outputLabel value="Endereço" for="endereco" />
                        <p:inputText id="endereco" value="#{professorBean.professor.endereco}" required="true" />
                        <p:message for="endereco" />

                        <p:outputLabel value="Numero" for="numero" />
                        <p:inputText id="numero" value="#{professorBean.professor.numero}" required="true" />
                        <p:message for="numero" />
                        
                        <p:outputLabel value="Complemento" for="complemento" />
                        <p:inputText id="complemento" value="#{professorBean.professor.complemento}" />
                        <p:message for="complemento" />
                        
                        <p:outputLabel value="E-mail" for="email" />
                        <p:inputText id="email" value="#{professorBean.professor.email}"  />
                        <p:message for="email" />

                    </p:panelGrid>

                </p:fieldset>

                <p:commandButton value="Salvar" 
                                 actionListener="#{professorBean.salvar}" 
                                 update="painel"/>
            </ui:define>

        </ui:composition>

    </body>
</html>
